# Parma_Polyhedra_Library::Generator_System::const_iterator Class Reference
[C++ Language Interface]

An iterator over a system of generators. More...

`#include <ppl.hh>`

Inherited by Parma_Polyhedra_Library::Grid_Generator_System::const_iterator`[private]`.

List of all members.

## Public Member Functions

| const_iterator ()
| Default constructor.
| const_iterator (const const_iterator &y)
| Ordinary copy constructor.
| ~const_iterator ()
| Destructor.
const_iterator & | operator= (const const_iterator &y)
| Assignment operator.
const Generator & | operator* () const
| Dereference operator.
const Generator * | operator-> () const
| Indirect member selector.
const_iterator & | operator++ ()
| Prefix increment operator.
const_iterator | operator++ (int)
| Postfix increment operator.
bool | operator== (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are identical.
bool | operator!= (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are different.

## Detailed Description

An iterator over a system of generators.

A const_iterator is used to provide read-only access to each generator contained in an object of Generator_System.

Example
  The following code prints the system of generators of the polyhedron `ph`:

        const Generator_System& gs = ph.generators();
        for (Generator_System::const_iterator i = gs.begin(),
               gs_end = gs.end(); i != gs_end; ++i)
          cout << *i << endl;

  The same effect can be obtained more concisely by using more features of the STL:

        const Generator_System& gs = ph.generators();
        copy(gs.begin(), gs.end(), ostream_iterator<Generator>(cout, "\n"));

The documentation for this class was generated from the following file:

- ppl.hh